## midbrowser 0.3.0rc1a-1~8.04.2

=== security/nss/lib/ckfw/Makefile ===
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
MAKEFILE_CVS_ID = "@(#) $RCSfile: Makefile,v $ $Revision: 1.14 $ $Date: 2007/06/19 08:03:45 $"

include manifest.mn
include $(CORE_DEPTH)/coreconf/config.mk
include config.mk
include $(CORE_DEPTH)/coreconf/rules.mk

ifdef MOZILLA_CLIENT
NSS_BUILD_CAPI = 1
endif

# This'll need some help from a build person.

# The generated files are checked in, and differ from what ckapi.perl
# will produce.  ckapi.perl is currently newer than the targets, so
# these rules are invoked, causing the wrong files to be generated.
# Turning off to fix builds.
#
# nssckepv.h: ck.api ckapi.perl
# nssckft.h: ck.api ckapi.perl
# nssckg.h: ck.api ckapi.perl
# nssck.api: ck.api ckapi.perl
# 	$(PERL) ckapi.perl ck.api

export:: private_export

# can't do this in manifest.mn because OS_TARGET isn't defined there.
ifeq (,$(filter-out WIN%,$(OS_TARGET)))
ifdef NSS_BUILD_CAPI
DIRS += capi
endif
endif

#ifeq ($(OS_ARCH), Darwin)
#DIRS += nssmkey
#endif

## midbrowser 0.3.0b5a-2

=== debian/changelog ===
midbrowser (0.3.0b5a-2) hardy; urgency=low

  * Fixed debian/rule to make sure it builds with system's xulrunner sdk.

 -- Carl Wong <carl.wong@intel.com>  Mon, 07 Apr 2008 16:12:23 -0700

midbrowser (0.3.0b5a-1) hardy; urgency=low

  * Merged in Firefox 3.0 beta 5 code.
  * Modified the build to used system's xulrunner-1.9.

 -- Carl Wong <carl.wong@intel.com>  Fri, 04 Apr 2008 15:58:43 -0700

midbrowser (0.3.0b2d~mt1ubuntu11) gaston; urgency=low

  * Changed the preference "general.useragent.extra.firefox" to "Firefox/3.0 beta". This fixes
    the rendering issues with sites that check for browser and version (i.e. mail.live.com).
  * Changed the preference "browser.enable.automatic_image_resizing" from true to false. This
    fixes bug #186556 (image cannot be magnified using the zoom in/out button).
  * Set the default value for "font.size.variable.x-western" to 13. This work around will
    fix the rendering issues found in http://www.miniclip.com.

 -- Carl Wong <carl.wong@intel.com>  Fri, 28 Mar 2008 14:35:50 -0700

midbrowser (0.3.0b2d~mt1ubuntu10) gaston; urgency=low

  * Updated midbrowser.desktop with values provided by Bob Spencer.
  * Fixed the install path for midbrdowser.png.
  * Removed "import" and "export" functionality from all of the View Certificates preferences tabs.
  * Fixed bug #174762, removed all "import" and "export" buttons from Encryption->View_Certificates tab.

 -- Carl Wong <carl.wong@intel.com>  Fri, 21 Mar 2008 17:34:27 -0700

midbrowser (0.3.0b2d~mt1ubuntu9) gaston; urgency=low

  [ Carl Wong ]
  * Removed default.list from package. There is a conflict with another package.
    Need to find other way to handle /usr/share/applications/default.list.
  * Fixed bug #186580 (The enable/disable status of the "status bar" menu is
    not correctly displayed) the right way. The previous fix didn't work all
    the time.

  [ Jimmy Huang ]
  * Fixed bug #156977 (No interface to manage Bookmarks) by adding a delete button to allow deleting of bookmarks without right-click.

 -- Carl Wong <carl.wong@intel.com>  Wed, 19 Mar 2008 16:55:38 -0700

midbrowser (0.3.0b2d~mt1ubuntu8) gaston; urgency=low

  * Fixed midbrowser.desktop to meet the freedesktop.org menu specification.
  * Added a new file call default.list to the debian directory.  This file
    is used by the download manager to determine which app to launch when
    user tries to open a file. 
  * Modified debian/rule to install default.list to /usr/share/applications.

 -- Carl Wong <carl.wong@intel.com>  Mon, 17 Mar 2008 14:48:58 -0700

midbrowser (0.3.0b2d~mt1ubuntu7) gaston; urgency=low

  [ Carl Wong ]
  * Added "OnlyShowIn=Internet" to midbrowser.desktop. 
  * Modified debian/rules to install midbrowser.png in /usr/share/hicolor/48x48.
  * Reduced the number of level of sub-menus in the view menu. Moved the character
    encoding menu item to the top.
  * Changed to use the side bar to display the history and bookmark.

  [ Jimmy Huang ]
  * Added a default entry for the Gconf key for homepage_url that fixes the bug where home_page cannot be reset for a second time.
  * Fixed the bug#175028 the button size in preference dialog is not consistent.
  * Restored icon size in full screen mode.

 -- Carl Wong <carl.wong@intel.com>  Sun, 16 Mar 2008 12:15:15 -0700

midbrowser (0.3.0b2d~mt1ubuntu6) gaston; urgency=low

  [ Jimmy Huang ]
  * Fixed the bug where in non-full screen mode, the urlbar cannot pick up url changes.

  [ Carl Wong ]
  * Fixed the tooltip for zoom in, zoom out and reset toolbar icons to use existing
    labels. This miminizes the changes needed for i18n support.

 -- Carl Wong <carl.wong@intel.com>  Thu, 13 Mar 2008 16:46:12 -0700

midbrowser (0.3.0b2d~mt1ubuntu5) gaston; urgency=low

  [ Jimmy Huang ]
  * Fixed the bug#173759 where full screen restore button is too small on MID device.
  * Fixed the bug#188247 where the display all tabs button is too small on MID device.
  * Fixed the bug#175028 the button size in preference dialog is not consistent.
  * Fixed a bug where the load image exception button is not disabled when it is unchecked in the preference dialog.

  [ Carl Wong ]
  *  Fixed bug #186580(The enable/disable status of the "status bar" menu is not
     correctly displayed).

  [ Jimmy Huang ]
  * Fixed third-party application handlers and plugins not showing up in the Preference/Applications Dialog.
  * Fixed the bug where UrlBar's history and Searchbar's suggestions obscuring the virtual keyboard.
  * Disabled Profile Migrator which causes the old profile settings to interrupt gconf settings such as homepage and http proxy.
  * Cleaned up GrabandDrag preference dialog so it looks cleaner.

 -- Carl Wong <carl.wong@intel.com>  Wed, 12 Mar 2008 16:56:52 -0700

midbrowser (0.3.0b2d~mt1ubuntu4) gaston; urgency=low

  [ Carl Wong ]
  * Changed the Browse:Back and Browse:Forward to use F9 and F10 instead of the VK_LEFT and
    VK_RIGHT.
  * Disabled F1 help. The exsiting Firefox help is not appropriate for Midbrowser.
  * Disabled context menu in the Toolbar. No customize of toolbar is allowed.

  [ Jimmy Huang ]
  * Increased icons in the download dialogs
  * Added default directories for default download behavior, so that media files defaults 
    to $HOME/media/audio, $HOME/media/photo, $HOME/media/video, and other files to 
    $HOME/Documents directory.

  [ Carl Wong ]
  * Update the icons in the about and credit dialog with the new icons from Jason.
  * Used file:// instead of chrome:// for welcome startup page. 

 -- Carl Wong <carl.wong@intel.com>  Fri, 15 Feb 2008 20:13:35 -0800

midbrowser (0.3.0b2d~mt1ubuntu3) gaston; urgency=low

  * Fixed an install issue with grabanddrag.

 -- Carl Wong <carl.wong@intel.com>  Wed, 06 Feb 2008 19:19:45 -0800

midbrowser (0.3.0b2d~mt1ubuntu2) gaston; urgency=low

  [ Carl Wong ]
  * Added a workaround to build and package the grabanddrag extension.

  [ Jimmy Huang ]


=== debian/control ===
Source: midbrowser
Section: web
Priority: optional
Maintainer: Carl Wong <carl.wong@intel.com>
Build-Depends: bzip2, debhelper (>= 5), quilt, patchutils (>= 0.2.25), cdbs (>= 0.4.27-1), libx11-dev, libxt-dev, libgtk2.0-dev (>= 2.8), zlib1g-dev, liborbit2-dev, libidl-dev (>= 0.8.0), zip, libxft-dev, libfreetype6-dev, libpng12-dev, libjpeg62-dev, libxrender-dev, libxinerama-dev, libcairo2-dev, libgnome2-dev, libgconf2-dev, libgnomevfs2-dev, libgnomeui-dev, sharutils, m4, binutils (>= 2.17-1) [mips mipsel], libhunspell-dev, libthai-dev, libnss3-dev, libnspr4-dev, imagemagick, libhildon-1-dev, g++-4.2, gcc-4.2, libdbus-glib-1-dev, xulrunner-1.9-dev
Standards-Version: 3.7.2

Package: midbrowser
Architecture: any
Depends: fontconfig, psmisc, xulrunner-1.9, debianutils (>= 1.16), ${shlibs:Depends}
Conflicts: libnss3
Replaces: libnss3
Recommends: ubufox
Suggests: midbrowser-gnome-support (= ${Source-Version}), latex-xft-fonts
Provides: www-browser
Description: mobile web browser based on Mozilla
 Midbrowser is a mobile web browser based on Firefox.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBIAN_MB_DIR := /usr/lib/midbrowser-$(shell tail -1 midbrowser/config/version.txt)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        OPTFLAGS = -O0
else
        OPTFLAGS = -O2 -fno-strict-aliasing
endif

OPTFLAGS += -g

CXX=g++-4.2
CC=gcc-4.2
export CXX CC

DEBIAN_XUL_DIR := $(shell ls -d /usr/lib/xulrunner-devel-1.9*)

DEB_CONFIGURE_USER_FLAGS= \
        --prefix=/usr \
        --enable-application=midbrowser \
        --enable-webservices \
        --enable-safe-browsing \
        --with-default-mozilla-five-home=$(DEBIAN_MB_DIR) \
        --with-user-appdir=.mozilla \
        --with-system-jpeg=/usr \
        --with-system-zlib=/usr \
        --with-system-nspr \
        --with-system-nss \
        --disable-javaxpcom \
        --disable-crashreporter \
        --disable-elf-dynstr-gc \
        --disable-installer \
        --disable-strip \
        --disable-strip-libs \
        --disable-install-strip \
        --disable-tests \
        --disable-mochitest \
        --disable-updater \
        --enable-optimize="-pipe -w $(OPTFLAGS)" \
        --with-distribution-id=com.ubuntu \
	$(NULL)

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure $(DEB_CONFIGURE_USER_FLAGS) --with-libxul-sdk=$(DEBIAN_XUL_DIR) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-extensions="default,grabanddrag"

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/midbrowser
	mkdir -p $(CURDIR)/debian/midbrowser/usr/share/applications
	mkdir -p $(CURDIR)/debian/midbrowser/usr/share/icons/hicolor/48x48/apps
	mkdir -p $(CURDIR)/debian/midbrowser/usr/share/man/man1
	mkdir -p $(CURDIR)/debian/midbrowser/etc/midbrowser
	mkdir -p $(CURDIR)/debian/midbrowser/etc/midbrowser/pref

	cp -f debian/midbrowser.desktop $(CURDIR)/debian/midbrowser/usr/share/applications/midbrowser.desktop
	cp -f debian/midbrowser.png $(CURDIR)/debian/midbrowser/usr/share/icons/hicolor/48x48/apps/midbrowser.png
	cp -f debian/midbrowser.1 $(CURDIR)/debian/midbrowser/usr/share/man/man1/midbrowser.1
	cp -f debian/midbrowser.js $(CURDIR)/debian/midbrowser/etc/midbrowser/pref/midbrowser.js
	cp -f debian/midbrowserrc $(CURDIR)/debian/midbrowser/etc/midbrowser/midbrowserrc
	cp -f debian/welcome.html $(CURDIR)/debian/midbrowser/etc/midbrowser/welcome.html
	cp -f debian/note.png $(CURDIR)/debian/midbrowser/etc/midbrowser/note.png
	cp -f debian/moblin-header.png $(CURDIR)/debian/midbrowser/etc/midbrowser/moblin-header.png
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp/
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## midbrowser 0.3.0rc1a-1~8.04.2

=== debian/changelog ===
midbrowser (0.3.0rc1a-1~8.04.2) hardy-security; urgency=low

  * no change rebuild for -security to make package installable for users
    without -updates enabled (due to recent xulrunner-1.9 Breaks line)

 -- Jamie Strandboge <jamie@ubuntu.com>  Sun, 03 Aug 2008 08:41:14 -0400

midbrowser (0.3.0rc1a-1~8.04.1) hardy-proposed; urgency=low

  * merge 3.0 RC1 release to hardy branch (LP: #233922)
  * make Build-Depends: more diff-friendly by unfolding the list
    - update debian/control
  * add translation template export support using mozilla-devscripts:
    + add mozilla-devscripts to Build-Depends
      - update debian/control
    + setup variables for /usr/share/mozilla-devscripts/lp-locale-export.mk
      helper and hook in the export build target into binary: rules target
      - update debian/rules
    + fix clean: target to be clean::
    + add MidBrowser install.rdf template to source tree
      - add debian/translation-support/install.rdf.in
  * tighten xulrunner-1.9(-dev) build and runtime requirements to (>= 1.9~rc1)
    - update debian/control
  * prevent Mozilla/FFox EULA from popping up on first run by setting
    pref("browser.EULA.override", true);
    - update debian/midbrowser.js
  * setup defaults/syspref link that points to /etc/midbrowser/pref
    - update debian/midbrowser.links

 -- Alexander Sack <asac@ubuntu.com>  Wed, 04 Jun 2008 17:19:01 +0200

=== debian/control ===
Source: midbrowser
Section: web
Priority: optional
Maintainer: Carl Wong <carl.wong@intel.com>
Build-Depends: bzip2,
	debhelper (>= 5), quilt,
	patchutils (>= 0.2.25), cdbs (>= 0.4.27-1),
	libx11-dev, libxt-dev,
	libgtk2.0-dev (>= 2.8), zlib1g-dev,
	liborbit2-dev, libidl-dev (>= 0.8.0),
	zip, libxft-dev,
	libfreetype6-dev, libpng12-dev,
	libjpeg62-dev, libxrender-dev,
	libxinerama-dev, libcairo2-dev,
	libgnome2-dev, libgconf2-dev,
	libgnomevfs2-dev, libgnomeui-dev,
	sharutils, m4,
	binutils (>= 2.17-1) [mips mipsel],
	libhunspell-dev, libthai-dev,
	libnss3-dev, libnspr4-dev,
	imagemagick, libhildon-1-dev,
	g++-4.2, gcc-4.2,
	libdbus-glib-1-dev, xulrunner-1.9-dev (>= 1.9~rc1),
	mozilla-devscripts
Standards-Version: 3.7.2

Package: midbrowser
Architecture: any
Depends: fontconfig, psmisc, xulrunner-1.9 (>= 1.9~rc1), debianutils (>= 1.16), ${shlibs:Depends}
Conflicts: libnss3
Replaces: libnss3
Recommends: ubufox
Suggests: midbrowser-gnome-support (= ${Source-Version}), latex-xft-fonts
Provides: www-browser
Description: mobile web browser based on Mozilla
 Midbrowser is a mobile web browser based on Firefox.

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,10 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_MOZ_APPLICATION := midbrowser
+
+DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)$$/\1/ p')
+LOCALE_VERSION = $(shell echo $(DEBIAN_VERSION) | sed -e 's/~cvs.*/pre/' | tr -d '~')
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
         OPTFLAGS = -O0
@@ -23,6 +27,20 @@
 endif
 
 OPTFLAGS += -g
+
+# currently not autoparsed from changelog, because we need to fail if
+# maintainer didn't adjust those before release. we can change that once ffox
+# is in hard string freeze
+EM_TRANSLATION_VERSION := 0.3.0
+
+# minVersion and maxVersion used in install.rdf
+EM_TRANSLATION_MIN_VERSION := 0.3.0
+EM_TRANSLATION_MAX_VERSION := 0.3.0
+
+# translation flags
+MOZ_TRANSLATION_AUTO_XPI_OUTDIR := debian/lp-export-xpis/
+MOZ_TRANSLATION_AUTO_XPI_SEARCHDIRS := debian/$(DEB_MOZ_APPLICATION)
+MOZ_TRANSLATION_AUTO_XPI_LOCALE := en-US
 
 CXX=g++-4.2
 CC=gcc-4.2
@@ -55,6 +73,8 @@
         --with-distribution-id=com.ubuntu \
 	$(NULL)
 
+include /usr/share/mozilla-devscripts/lp-locale-export.mk
+
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
@@ -70,11 +90,12 @@
 
 	touch $@
 
-clean:
+clean::
 	dh_testdir
 	dh_testroot
 	dh_clean
 	rm -f build-stamp 
+	rm -f debian/install.rdf
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
@@ -133,6 +154,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
+	$(MAKE) -f $(CURDIR)/debian/rules postprocessing
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -144,5 +166,16 @@
 	dh_md5sums
 	dh_builddeb
 
+postprocessing:: auto-locale-xpi.mk/translate
+	sed \
+                -e 's/@EM_VERSION@/$(EM_TRANSLATION_VERSION)/' \
+                -e 's/@EM_TOOLKIT_MIN_VERSION@/$(EM_TRANSLATION_MIN_VERSION)/' \
+                -e 's/@EM_TOOLKIT_MAX_VERSION@/$(EM_TRANSLATION_MAX_VERSION)/' \
+                < debian/translation-support/install.rdf.in > debian/install.rdf
+	cd debian && zip lp-export-xpis/en-US.xpi install.rdf
+ifeq (,$(findstring $(EM_TRANSLATION_VERSION), $(LOCALE_VERSION)))
+	$(error EM_TRANSLATION_VERSION=$(EM_TRANSLATION_VERSION) LOCALE_VERSION=$(LOCALE_VERSION). You need to explicitly adjust the translation version and min/max bounds.)
+endif
+
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install 
+.PHONY: build clean binary-indep binary-arch binary install postprocessing

## midbrowser 0.3.0release-3

=== debian/changelog ===
midbrowser (0.3.0release-3) intrepid; urgency=low

  * fix LP: #156986 - add gsfonts to recommends
    - update debian/control
  * drop ubufox from Suggests; ubufox doesnt support midbrowser yet
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Thu, 11 Sep 2008 11:50:47 +0200

midbrowser (0.3.0release-2) intrepid; urgency=low

  * Drop ubufox from Recommends, moving it to Suggests.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 11 Sep 2008 14:46:50 +1000

midbrowser (0.3.0release-1) intrepid; urgency=low

  * bump maxVersion to 1.9.0.* to prevent bustage on each and every
    xulrunner update
    - update midbrowser/app/application.ini
  * Increased the list all the tabs button, so that user can use the finger
    to click it on a touchscreen to see all the tabs
  * fix nsHildonXEventService to not break with compiz WM
    + we dont register for all events (as some events can only be subscribed to by
      one client), but just for GDK_PROPERTY_CHANGE_MASK - Thanks to Michael Vogt
      for tracking this down.
    + as a safety-belt measure we also trap X errors properly in hildon event service -
      this should prevent crashes because of errors on X calls
      - update midbrowser/components/hildon/src/nsHildonXEventService.cpp

 -- Alexander Sack <asac@ubuntu.com>  Fri, 25 Jul 2008 19:18:37 +0200

midbrowser (0.3.0rc1a-2) intrepid; urgency=low

  * drop fixed 4.2 as compiler version in use; drop env tweaks in debian/rules
    and build dependencies on versioned gcc packages in debian/control
    - update debian/control
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Thu, 05 Jun 2008 10:51:16 +0200

midbrowser (0.3.0rc1a-1) intrepid; urgency=low

  * merge 3.0 RC1 release to hardy branch (LP: #233922)
  * make Build-Depends: more diff-friendly by unfolding the list
    - update debian/control
  * add translation template export support using mozilla-devscripts:
    + add mozilla-devscripts to Build-Depends
      - update debian/control
    + setup variables for /usr/share/mozilla-devscripts/lp-locale-export.mk
      helper and hook in the export build target into binary: rules target
      - update debian/rules
    + fix clean: target to be clean::
    + add MidBrowser install.rdf template to source tree
      - add debian/translation-support/install.rdf.in
  * tighten xulrunner-1.9(-dev) build and runtime requirements to (>= 1.9~rc1)
    - update debian/control
  * prevent Mozilla/FFox EULA from popping up on first run by setting
    pref("browser.EULA.override", true);
    - update debian/midbrowser.js
  * setup defaults/syspref link that points to /etc/midbrowser/pref
    - update debian/midbrowser.links

 -- Alexander Sack <asac@ubuntu.com>  Wed, 04 Jun 2008 17:19:01 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	libhunspell-dev, libthai-dev,
 	libnss3-dev, libnspr4-dev,
 	imagemagick, libhildon-1-dev,
-	g++-4.2, gcc-4.2,
 	libdbus-glib-1-dev, xulrunner-1.9-dev (>= 1.9~rc1),
 	mozilla-devscripts
 Standards-Version: 3.7.2
@@ -29,7 +28,7 @@
 Depends: fontconfig, psmisc, xulrunner-1.9 (>= 1.9~rc1), debianutils (>= 1.16), ${shlibs:Depends}
 Conflicts: libnss3
 Replaces: libnss3
-Recommends: ubufox
+Recommends: gsfonts
 Suggests: midbrowser-gnome-support (= ${Source-Version}), latex-xft-fonts
 Provides: www-browser
 Description: mobile web browser based on Mozilla

=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,6 @@
 MOZ_TRANSLATION_AUTO_XPI_OUTDIR := debian/lp-export-xpis/
 MOZ_TRANSLATION_AUTO_XPI_SEARCHDIRS := debian/$(DEB_MOZ_APPLICATION)
 MOZ_TRANSLATION_AUTO_XPI_LOCALE := en-US
-
-CXX=g++-4.2
-CC=gcc-4.2
-export CXX CC
 
 DEBIAN_XUL_DIR := $(shell ls -d /usr/lib/xulrunner-devel-1.9*)
